Get activity codes
curl --request GET \
--url https://api.smokeball.com/activitycodes \
--header 'Authorization: <api-key>' \
--header 'x-api-key: <api-key>'import requests
url = "https://api.smokeball.com/activitycodes"
headers = {
"x-api-key": "<api-key>",
"Authorization": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>', Authorization: '<api-key>'}};
fetch('https://api.smokeball.com/activitycodes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"value": [
{
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"id": "23d2a4bc-8529-462e-8560-dfbf4fa24e49",
"versionId": "23d2a4bc-8529-462e-8560-dfbf4fa24e49",
"updatedByUserId": "750eb5c5-ac0b-7d11-4997-e0ce9d8896c8",
"type": 0,
"description": "Contract review",
"code": "CR",
"isBillable": true,
"rateType": 2,
"rate": 23.2,
"quantity": 0.6,
"taxInclusive": true,
"taxExempt": true,
"taxZeroRated": false,
"taxOutOfScope": false,
"isDeleted": true,
"inputTaxRate": 45.63,
"outputTaxRate": 45.63
}
],
"offset": 123,
"limit": 123,
"size": 123,
"first": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"previous": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"next": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"last": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Activity Codes
Get activity codes
Returns a list of activity codes.
GET
/
activitycodes
Get activity codes
Query Parameters
Required range:
0 <= x <= 2147483647Required range:
1 <= x <= 500Returns expenses updated since a specified time (.net ticks representation of the UTC datetime).
Response
When request is successful. Returns a paged collection of 'ActivityCode' objects.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
āI